package org.octopus.data.desensitized.core.registry.impl;

import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.registry.DesensitizedStrategyRegistry;
import org.octopus.data.desensitized.core.registry.GlobalDesensitizedStrategyRegistry;
import org.octopus.data.desensitized.core.strategy.DesensitizedStrategy;

/**
 * @author lemon
 * @date 2021/8/27 11:42
 */
public class DefaultDesensitizedStrategyRegistry implements DesensitizedStrategyRegistry {

    @Override
    public DesensitizedStrategy obtainDesensitizedStrategy(DesensitizedPolicy policy) {
        return GlobalDesensitizedStrategyRegistry.obtainDesensitizedStrategy(policy);
    }

    @Override
    public void register(DesensitizedStrategy desensitizedStrategy) {
        GlobalDesensitizedStrategyRegistry.registerDesensitizedStrategy(desensitizedStrategy);
    }
}
