package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [固定电话] 后四位，其他隐藏<例子：****1234>
 */
public class FixedPhoneDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public FixedPhoneDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(0, 4));
    }

    public FixedPhoneDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.FIXED_PHONE;
    }
}
