package org.octopus.data.desensitized.core.springboot.config;


import javax.annotation.Resource;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.strategy.impl.AddressDesensitizedStrategy;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author lemon
 * @date 2021/8/28 12:14
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {DesensitizedConfiguration.class})
public class DesensitizedConfigurationTest {

    @Resource
    private DesensitizedConfiguration desensitizedConfiguration;

    @Resource
    private AddressDesensitizedStrategy addressDesensitizedStrategy;

    @Test
    public void setUp() throws Exception {
        System.out.println(desensitizedConfiguration);

        DesensitizedRule desensitizedRule = new DesensitizedRule();
        desensitizedRule.setMask(null);

        System.out.println(addressDesensitizedStrategy.convert("wqeqweqweqw", desensitizedRule));
    }
}